/* Night.pov /*

#version 1.0

#include "colors.inc"
#include "shapes.inc"

camera {
   location <10.0  50.0  30.0>
   direction <0.0  0.0  0.7>
   up <0.0  1.0  0.0>
   right <1.333333 0.0 0.0>
   look_at <0.0  0.0  200.0>
}

#declare Mountain = colour red 0.8 green 0.37 blue 0.14

object { // The mountain
   height_field {
      gif "mountain.gif" 
      water_level 101 
      scale <320 128 200>
   }
   texture { colour Mountain }  
   translate <-100.0 -63.5 -130.0>
   rotate <0.0 -40.0 0.0>
}

object { // The water
   sphere { <0.0  -6400010.0  0.0> 6400000.0 }
   texture {
      turbulence 0.17
      colour SeaGreen
      ripples 0.35
      frequency 100.0
      ambient 0.1
      diffuse 0.1
      reflection 0.7
      specular 0.5
      roughness 0.03
      scale <700.0 700.0 700.0>
   }
}

object { // Deep Water 
   sphere { <0.0  -6400010.0  0.0> 6399999.0 }
   texture {
      colour SeaGreen
      ambient 0.7
      diffuse 0.0
   }
}

object { //Sky
   sphere { <0.0 -1000.0 0.0> 9999000 }
   texture {
      gradient < 0 1 0 >
      colour_map {
	 [0.0 0.5 colour BlueViolet colour Navy]
	 [0.5 1.01 colour Navy colour Navy]
      }
      ambient 0.7
      diffuse 0.0
      scale <10 10000000 10>
   }
}

object { // Light source
   light_source { <1000 1400 -4000> colour MediumGoldenrod }
}

object { // Moon
   union {
      quadric { Sphere }
      light_source { <0 0 0> colour Grey }
   }
   texture {
      image_map { gif "moon.gif" map_type 1 once }
      diffuse 0.5
      ambient 0.5
   }
   scale <1000000 1000000 1000000>
   translate <0 0 9000000>
   rotate <-12.0 -15.0 0.0>
   no_shadow
}
